<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>JS7</title>
</head>
<body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script>

  let calcAgeZodiac = function(){
     
     let birthDayString = prompt('Введите дату своего рождения в формате dd.mm.yyyy:', 'dd.mm.yyyy');  
     let dd = birthDayString.slice(0, 2);
     let mm = birthDayString.slice(3, 5);
     let yyyy = birthDayString.slice(6, 10);   
     
     let birthDay = new Date(yyyy, mm -1, dd); 
      
     let now = new Date();
     
     let fullYears = now.getFullYear() - birthDay.getFullYear(); 
     let zodiacSign;
     
     if( birthDay.getMonth() + 1 == 1){
       if(birthDay.getDate() <= 20){     
       zodiacSign = 'Козерог';
       } else {zodiacSign = 'Водолей'};     
     }
     
     if( birthDay.getMonth() + 1 == 2){
       if(birthDay.getDate() <= 20){     
       zodiacSign = 'Водолей';
       } else {zodiacSign = 'Рыбы'};     
     }
      
     if( birthDay.getMonth() + 1 == 3){
       if(birthDay.getDate() <= 20){     
       zodiacSign = 'Рыбы';
       } else {zodiacSign = 'Овен'};     
     }
      
     if( birthDay.getMonth() + 1 == 4){
       if(birthDay.getDate() <= 20){     
       zodiacSign = 'Овен';
       } else {zodiacSign = 'Телец'};     
     }
      
     if( birthDay.getMonth() + 1 == 5){
       if(birthDay.getDate() <= 20){     
       zodiacSign = 'Телец';
       } else {zodiacSign = 'Близнецы'};     
     }
      
     if( birthDay.getMonth() + 1 == 6){
       if(birthDay.getDate() <= 21){     
       zodiacSign = 'Близнецы';
       } else {zodiacSign = 'Рак'};     
     }
      
     if( birthDay.getMonth() + 1 == 7){
       if(birthDay.getDate() <= 22){     
       zodiacSign = 'Рак';
       } else {zodiacSign = 'Лев'};     
     }
     
     if( birthDay.getMonth() + 1 == 8){
       if(birthDay.getDate() <= 23){     
       zodiacSign = 'Лев';
       } else {zodiacSign = 'Дева'};     
     }
     
     if( birthDay.getMonth() + 1 == 9){
       if(birthDay.getDate() <= 23){     
       zodiacSign = 'Дева';
       } else {zodiacSign = 'Весы'};     
     }
     
     if( birthDay.getMonth() + 1 == 10){
       if(birthDay.getDate() <= 23){     
       zodiacSign = 'Весы';
       } else {zodiacSign = 'Скорпион'};     
     }
       
     if( birthDay.getMonth() + 1 == 11){
       if(birthDay.getDate() <= 22){     
       zodiacSign = 'Скорпион';
       } else {zodiacSign = 'Стрелец'};     
     }
     
     if( birthDay.getMonth() + 1 == 12){
       if(birthDay.getDate() <= 21){     
       zodiacSign = 'Стрелец';
       } else {zodiacSign = 'Козерог'};     
     }

    
      let index = birthDay.getYear() % 12;
      let chineseZodiac = ['Крыса', 'Бык', 'Тигр', 'Кролик', 'Дракон', 'Змея', 'Лошадь', 'Коза', 'Обезьяна', 'Петух', 'Собака', 'Свинья'];
      yearAnimal = chineseZodiac[index]; 
      
      
     alert('Вам ' + fullYears + ' лет!');
     alert('Ваш знак зодиака: ' + zodiacSign);
     alert('Год животного по китайскому календарю: ' + yearAnimal); 
     

  };
  
  calcAgeZodiac();      
      
  </script>
</body>
</html>